# std::hash< _Tp > Struct Template Reference

Inheritance diagram for std::hash< _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::hash< _Tp >

Class template hash.

Definition at line 43 of file tr1_impl/functional_hash.h.

## Public Types

- typedef _Tp argument_type
- typedef size_t result_type

## Public Member Functions

- template<> size_t operator() (const wstring &) const
- template<> size_t operator() (wstring) const
- template<> size_t operator() (const string &) const
- template<> size_t operator() (string) const
- template<> size_t operator() (long double __val) const
- template<> size_t operator() (double __val) const
- template<> size_t operator() (float __val) const
- template<> size_t operator() (unsigned long long __val) const
- template<> size_t operator() (unsigned long __val) const
- template<> size_t operator() (unsigned int __val) const
- template<> size_t operator() (unsigned short __val) const
- template<> size_t operator() (long long __val) const
- template<> size_t operator() (long __val) const
- template<> size_t operator() (int __val) const
- template<> size_t operator() (short __val) const
- template<> size_t operator() (wchar_t __val) const
- template<> size_t operator() (unsigned char __val) const
- template<> size_t operator() (signed char __val) const
- template<> size_t operator() (char __val) const
- template<> size_t operator() (bool __val) const
- size_t operator() (_Tp __val) const

## Member Typedef Documentation

typedef _Tp std::unary_function< _Tp , size_t >::argument_type `[inherited]`

`argument_type` is the type of the

Definition at line 105 of file stl_function.h.

typedef size_t std::unary_function< _Tp , size_t >::result_type `[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 108 of file stl_function.h.

The documentation for this struct was generated from the following file:

- tr1_impl/functional_hash.h